import dynamix_sdk.base as _base


class CloudapiK8sDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        k8s_id: int,
        permanently: bool = False,
    ) -> CloudapiK8sDeleteResultBool:
        ...
